Description

The PXIE current devices need more sophisticated scaling. Right now we return Integrate Intensity divided by the pulse width
(Intl/PW) to ACNET. Aisha would like to be able to scale with a gain and offset before dividing by pulse width, so the current
returned to ACNET should be:

Current = (IntI * Cl + C2) / PulseWidth

Create a Filter class that can do this and work with Aisha/Niral/Ning to move the existing scale factors on D80 into the front end.

History

#1 - 09/09/2016 11:59 AM - John Diamond
- Status changed from New to Assigned

- % Done changed from 0 to 50

Implemented a new filter class called CurrentScaleFilter which scales an intensity reading to current according to the formula requested by Aisha.
Ready for testing.

#2 - 09/09/2016 03:24 PM - John Diamond
- % Done changed from 50 to 80

Tested on pxint with P:L20TOC. Created another device called P:L20TOU that uses the raw current accessor (device ID 0x0006) to compare
against. Both agree. Ready to test with the #13694 and #13572 next week.

#3 - 09/21/2016 04:49 PM - John Diamond

We're going to need to support a pulse-to-pulse average device that is properly scaled as well.

#4 - 09/22/2016 04:29 PM - John Diamond
- % Done changed from 80 to 100

Added support for averaging the gate width on each pulse.
Added support for using the average gate width or the most recent gate width to CurrentScaleFilter.
Created filters for scaling the current and average current for P:L20TOA/C to pxintstartup.

#5 - 09/23/2016 09:47 AM - John Diamond

- Status changed from Assigned to Closed
